<dialog aria-labelledby="fr-modal-newDistributionList-title" id="newDistributionList" class="fr-modal" role="dialog">
    <div class="fr-container fr-container--fluid fr-container-lg">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn" aria-controls="newDistributionList">
                            Fermer
                        </button>
                    </div>
                    <form method="post" action="{{ domain }}/action/add/distributionList" class="needs-validation"
                        enctype="multipart/form-data" novalidate>
                        <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                        <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                        <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />

                        <div class="fr-modal__content">
                            <h1 id="fr-modal-newDistributionList-title" class="fr-modal__title">
                                Cr&eacute;er une liste de diffusion
                            </h1>

                            <div class="fr-input-group">
                                <label class="fr-label" for="distribution-title">Titre de la liste de diffusion</label>
                                <input class="fr-input" type="text" id="distribution-title" name="distribution-title"
                                    required />
                                <p id="distribution-title-input-error" class="fr-error-text">
                                    Veuillez saisir un titre de liste de diffusion.
                                </p>
                            </div>

                            <div class="fr-input-group">
                                <label class="fr-label" for="distribution-description">Description de la liste de
                                    diffusion</label>
                                <textarea class="fr-input" type="color" id="distribution-description"
                                    name="distribution-description" required></textarea>
                                <p id="distribution-description-input-error" class="fr-error-text">
                                    Veuillez saisir une description.
                                </p>
                            </div>

                            <div class="fr-select-group">
                                <label class="fr-label" for="distribution-category">
                                    Cat&eacute;gorie
                                </label>
                                <select class="fr-select" id="distribution-category" name="distribution-category" required>
                                    <option value="" selected disabled hidden></option>
                                    {% if categories|length > 0 %}
                                        {% for category in categories %}
                                            <option value="{{ category.id }}">{{ category.name }}</option>
                                        {% endfor %}
                                    {% else %}
                                        <option value="" selected disabled hidden>Aucune cat&eacute;gorie, veuillez en cr&eacute;er une...</option>
                                    {% endif %}
                                </select>
                                <p id="distribution-category-input-error" class="fr-error-text">
                                    Veuillez s&eacute;lectionner une cat&eacute;gorie, veuillez en cr&eacute;er une si aucune n'est enregistr&eacute;e
                                </p>
                            </div>

                            <div class="fr-upload-group">
                                <label class="fr-label" for="image">Image d'illustration
                                    <span class="fr-hint-text">{{ fileUploadHintText }}<br>
                                        Vous pouvez ajouter une image d'illustration pour votre canal de
                                        communication.</span>
                                </label>
                                <input class="fr-upload" type="file" id="distribution-image" accept="{{ fileUploadAccept }}" name="distribution-image">
                                <p id="distribution-image-input-error" class="fr-error-text">Format de fichier non
                                    support&eacute;</p>
                            </div>
                        </div>

                        <div class="fr-modal__footer">
                            <ul
                                class="fr-btns-group fr-btns-group--sm fr-btns-group--inline-lg fr-btns-group--icon-left">
                                <li>
                                    <button class="fr-btn fr-icon-check-line" type="submit">
                                        Enregistrer
                                    </button>
                                </li>
                                <li>
                                    <button class="fr-btn fr-icon-close-circle-line fr-btn--secondary"
                                        aria-controls="newDistributionList">
                                        Annuler
                                    </button>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</dialog>
